#define rev svn588
Name: 		megaglest
Version: 	3.6.0.3
Release: 	%mkrel 2
Summary:	A free 3d real time strategy game
Summary(de):	Ein freies 3D Echtzeit-Strategiespiel
License:	GPLv3+
Group: 		Games/Strategy
URL: 		http://megaglest.sourceforge.net
Source0: 	http://sourceforge.net/projects/%name/files/megaglest_3.2.3/%{name}-source-%{version}.tar.xz
#Source1: 	%{name}.sh
#Source2: 	%{name}.png
#Source3: 	glest.ini
BuildRequires:  cmake
BuildRequires:	%{_lib}glew-devel
BuildRequires:	%{_lib}ftgl-devel
BuildRequires:	zlib-devel
BuildRequires:	openal-devel
BuildRequires:	%{_lib}xerces-c-devel
BuildRequires:	SDL-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	SDL_net-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:	Mesa-common-devel
#BuildRequires:	jam
BuildRequires:	unzip
BuildRequires:	recode
BuildRequires:	lua-devel
BuildRequires:	%{_lib}wxgtku2.8-devel
BuildConflicts:	%{_lib}wxgtk-devel
Requires:	%{name}-data
Requires:	x11-font-adobe-utopia-75dpi
Requires:	mesa-demos
Requires: %{name}-data = %{version} 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


Patch0:		megaglest-3.6.0.1-noerror.patch
Patch1:		megaglest-3.6.0.2-help2man.patch
Patch2:		megaglest-3.6.0.3-underlink.patch

%description
megaglest is a 3D OpenGL real time strategy game. It takes place in a 
context which could be compared to that of the pre-renaissance 
Europe, with the licence that magic forces exist in the environment 
and can be controlled.

%description -l de
megaglest ist ein 3D OpenGL-Echtzeit-Strategiespiel. Es findet in einem Zeitalter, 
man könnte die im Vergleich zu der vor-Renaissance Europa bezeichnen, in der 
magische Kräfte existieren und damit die Umwelt kontrolliert wird. Deep ruht 
Science in the Mindwie Magic tief im Herzen; Diese in der der Wille vorhanden 
ist stark, Diese wird Herrschaft in ihrem Namen.

%prep
%setup  -n %{name}-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="$CFLAGS"

# ./autogen.sh
# configure2_5x \
#	--bindir=%{_gamesbindir} \
#	--datadir=%{_gamesdatadir} \
#	--enable-optimize

#jam -d2 %{_smp_mflags}

%cmake									\
	-DCMAKE_INSTALL_PREFIX=/					\
	-DMEGAGLEST_BIN_INSTALL_PATH=%{_gamesbindir}			\
	-DMEGAGLEST_ICON_INSTALL_PATH=%{_iconsdir}			\
	-DMEGAGLEST_DATA_INSTALL_PATH=%{_gamesdatadir}/megaglest
%make


%install
rm -rf %{buildroot}


%makeinstall_std -C build
mv %{buildroot}/share/* %{buildroot}%{_datadir}
rmdir %{buildroot}/share

install -d %{buildroot}%{_gamesdatadir}/megaglest

for image in `ls %{buildroot}%{_iconsdir}`; do
    [ -e %{buildroot}%{_gamesdatadir}/$image ] ||
	ln -sf %{_iconsdir}/$image %{buildroot}%{_gamesdatadir}/megaglest
done

# installed by megaglest-data
#rm %{buildroot}%{_gamesdatadir}/megaglest/megaglest.bmp


#mkdir -p %{buildroot}%{_gamesbindir}
#install -pm755 glest.bin %{buildroot}%{_gamesbindir}/%{name}-bin
#install -m755 %{SOURCE1} -D %{buildroot}%{_gamesbindir}/%{name}

#mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/{data/lang,maps}
#install -m644 %{SOURCE3} %{buildroot}%{_gamesdatadir}/%{name}
#install -m644 glestkeys.ini %{buildroot}%{_gamesdatadir}/%{name}

#mkdir -p %{buildroot}%{_iconsdir}
#install -m644 %{SOURCE2} -D %{buildroot}%{_iconsdir}/%{name}.png

# Desktop file
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/megaglest.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Real Time Strategy game
Comment[de]=Echtzeit-Strategiespiel
Exec=%{_gamesbindir}/%{name}
Icon=megaglest.png
StartupNotify=true
Terminal=false
Type=Application
Categories=Game;StrategyGame;X-MandrivaLinux-MoreApplications-Games-Strategy;
EOF



%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamesbindir}/*
%{_iconsdir}/*
%{_datadir}/applications/*
%{_gamesdatadir}/%{name}
%{_mandir}/man6/*

%changelog
* Tue Apr 25 2012 Neal <nealbrks0 at gmail dot com> 3.6.0.3-2pclos2012
- process

* Tue Apr 25 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.6.0.3-2pclos2012
- added BuildRequires: cmake
- removed icon removing -> fixed icondir in file section

* Tue Apr 24 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.6.0.3-1pclos2012
- 3.6.0.3
- renewed the setup/build/install section for new cmake build (with help from mdv spec :D)
- added BuildRequires:	%{_lib}glew-devel, %{_lib}ftgl-devel
- added mandir in files section
- added remove of widows ico files

* Sun Apr 22 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.3.5-2pclos2012
- rebuild against new version of libxerces
- added %{_lib} macros
- renamed spec to pclos-megaglest.spec
- removed the zero in libxerces-c0-devel

* Tue Jul 06 2010 maik3531 <maik3531 at yahoo.de> 3.3.5-1pclos2010
- change to megaglest

* Tue Jul 06 2010 maik3531 <maik3531 at yahoo.de> 3.2.2-1pclos2010
- brought from the mdv
- add german description

